
  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."BULK_DATA_V" ("SOURCE_NAME", "ID", "DATA_PRODUCER_TYPE", "END_TIME", "MESSAGE", "START_TIME", "STATUS", "ADVISOR_FEED", "SOURCE_TYPE", "ENTITY_TYPE", "NAME", "DESCRIPTION", "CONFIGURATION") AS 
  SELECT ds.name source_name,
    dp.id,
    dp.data_producer_type,
    dp.end_time,
    to_char(dp.message) message,
    dp.start_time,
    dp.status,
    afeed.id advisor_feed,
    afeed.source_type,
    afeed.entity_type,
    afeed.name,
    afeed.description,
   afeed.configuration configuration
   FROM data_production dp
     JOIN advisor_feed_curation afc ON afc.id = dp.id
     JOIN advisor_feed afeed ON afc.advisor_feed = afeed.id
     LEFT JOIN data_source ds ON ds.id = afeed.application
UNION ALL
 SELECT ds.name source_name,
    dp.id,
    dp.data_producer_type,
    dp.end_time,
    to_char(dp.message) message,
    dp.start_time,
    dp.status,
    afeed.id advisor_feed,
    afeed.source_type,
    afeed.entity_type,
    afeed.name,
    afeed.description,
    afeed.configuration configuration
   FROM data_production dp
     JOIN advisor_feed_generation afg ON afg.id = dp.id
     JOIN advisor_feed afeed ON afg.advisor_feed = afeed.id
     LEFT JOIN data_source ds ON ds.id = afeed.application;

GRANT SELECT ON igops.bulk_data_v TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM bulk_data_v for igops.bulk_data_v;