-- View: attribute_locale_v

-- DROP VIEW attribute_locale_v;

CREATE OR REPLACE VIEW attribute_locale_v AS 
 SELECT attr.attribute_key,
    attr.attribute_type,
    attr.entity_type,
    map.label_map AS localized_key,
    map.label_map_key AS locale
   FROM attribute_definition attr
     LEFT JOIN localized_label_map map ON attr.localized_display_name = map.localized_label
  WHERE (attr.entity_type::text = ANY (ARRAY['USER'::character varying, 'PERMISSION'::character varying, 'ACCOUNT'::character varying, 'GROUP'::character varying]::text[])) AND attr.attribute_type::text <> 'INTERNAL'::text AND attr.attribute_state::text = 'ACTIVE'::text
  ORDER BY attr.attribute_key;

ALTER TABLE attribute_locale_v
  OWNER TO igops;
GRANT ALL ON TABLE attribute_locale_v TO igops;
GRANT SELECT ON TABLE attribute_locale_v TO ig_report_role;
